/* ------------------------------------------------------------------------------------------------------------------ */
/* Settings                                                                                                           */
/* ------------------------------------------------------------------------------------------------------------------ */
.offcanvas {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    will-change: transform;
    transition: transform 0.3s ease-in-out;
}
.offcanvas.pink {
    background-color: var(--bs-accent);
    color: white;
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
}
body.offcanvas-open {
    overflow: hidden;
    position: fixed;
    width: 100%;
    touch-action: none;
}
.accordion {
    --bs-accordion-btn-bg: var(--bs-accent);
    --bs-accordion-active-bg: var(--bs-accent);
    --bs-accordion-border-color: transparent;
    --bs-accordion-btn-active-icon: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none' stroke='white' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M2 5L8 11L14 5'/%3E%3C/svg%3E");
    --bs-accordion-btn-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round'%3e%3cpath d='M2 5L8 11L14 5'/%3e%3c/svg%3e");
    --bs-accordion-btn-focus-box-shadow: 0 0 0 0.25rem var(--bs-dominant);
}
.accordion-item {
    background-color: transparent !important;
    color: white;
    border: none !important;
}
.rounded-bottom {
    border-radius: 0 0 1rem 1rem;
}
.form-control:focus {
    border: none !important;
    box-shadow: 0 0 0 .25rem var(--bs-dominant);
}
.btn-emoji:active {
    border-color: transparent !important;
    background-color: white !important;
}
#partnerEmailBtn img,
#saveIntensityBtn img,
#savePromptBtn img {
    width: 0.85rem;
    height: 0.85rem;
}
#partnerEmailBtn,
#saveIntensityBtn,
#savePromptBtn {
    background-color: #d11e64;
    color: white;
    padding: 0.5rem 1rem !important;
    transition: background-color 0.15s ease, transform 0.1s ease;
}
#partnerEmailBtn:active,
#saveIntensityBtn:active,
#savePromptBtn:active {

}
#logoutBtn {
    background-color: var(--bs-accent);
    color: white;
    border-radius: 0.5rem;
    padding: 0.5rem 1rem 0.5rem 0;
    transition: background-color 0.15s ease, transform 0.1s ease;
}
#logoutBtn:active {
    background-color: #d11e64;
    color: white;
    border: none !important;
}
#logoutBtn svg {
    color: white;
}